<template>


  <!-- Sidebar -->
  <nav id="sidebarMenu" class="collapse d-lg-block sidebar collapse bg-dark">
    <div class="position-sticky">
      <div class="list-group list-group-flush mx-3 mt-4">

        <router-link class="nav-link list-group-item list-group-item-action py-2 ripple bg-dark text-white"
                     to="/dashboard">
          <img class="card-img-top" src="../views/photos/logo.jfif" alt="Card image">
          <i class="fas fa-tachometer-alt fa-fw me-3"></i></router-link>

        <router-link class="nav-link list-group-item list-group-item-action py-2 ripple bg-dark text-white"
                     to="/dashboard">
          <i class="fas fa-tachometer-alt fa-fw me-3"></i><span>Dashboard</span></router-link>

        <router-link class="nav-link list-group-item list-group-item-action py-2 ripple bg-dark text-white"
                     to="/trainer">
          <i class="fas fa-chart-area fa-fw me-3"></i><span>Trainers</span></router-link>

        <router-link class="nav-link list-group-item list-group-item-action py-2 ripple bg-dark text-white"
                     to="/student">
          <i class="fas fa-lock fa-fw me-3"></i><span>Students</span></router-link>

        <router-link class="nav-link list-group-item list-group-item-action py-2 ripple bg-dark text-white" to="/group">
          <i class="fas fa-chart-line fa-fw me-3"></i><span>Groups</span></router-link>

        <router-link class="nav-link list-group-item list-group-item-action py-2 ripple bg-dark text-white" to="/room">
          <i class="fas fa-chart-line fa-fw me-3"></i><span>Rooms</span></router-link>

        <router-link class="nav-link list-group-item list-group-item-action py-2 ripple bg-dark text-white"
                     to="/lesson">
          <i class="fas fa-chart-line fa-fw me-3"></i><span>Lessons</span></router-link>

        <router-link class="nav-link list-group-item list-group-item-action py-2 ripple bg-dark text-warning"
                     to="/login">
          <i class="fas fa-chart-line fa-fw me-3"></i><span>Logout</span></router-link>

      </div>
    </div>
  </nav>

</template>

<style scoped>

.sidebar {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  padding: 58px 0 0; /* Height of navbar */
  box-shadow: 0 2px 5px 0 rgb(0 0 0 / 5%), 0 2px 10px 0 rgb(0 0 0 / 5%);
  width: 240px;
  z-index: 600;
}

.position-sticky {
  position: relative;
  top: 0;
  height: calc(100vh - 48px);
  padding-top: 0.5rem;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

</style>